Apache Solr configset upload文件上传漏洞(CVE-2020-13957)

  • A+
所属分类:javasec_cn
摘要

Apache Solr是一个开源的搜索服务,使用Java语言开发。Apache Solr Configset Api上传功能存在未授权漏洞。攻击者可以构造特定请求,上传相关恶意文件,从而直接获取到服务器权限。阿里云应急响应中心提醒Solr用户尽快采取安全措施阻止漏洞攻击。

Apache Solr configset upload文件上传漏洞(CVE-2020-13957)

漏洞描述

Apache Solr是一个开源的搜索服务,使用Java语言开发。Apache Solr Configset Api上传功能存在未授权漏洞。攻击者可以构造特定请求,上传相关恶意文件,从而直接获取到服务器权限。阿里云应急响应中心提醒Solr用户尽快采取安全措施阻止漏洞攻击。

影响版本

Apache Solr 6.6.0 - 6.6.5
Apache Solr 7.0.0 - 7.7.3
Apache Solr 8.0.0 - 8.6.2

安全版本

Apache Solr 8.6.3

安全建议

升级至安全版本

相关链接

  • https://issues.apache.org/jira/browse/SOLR-14925
  • https://issues.apache.org/jira/browse/SOLR-14663

相关推荐: Apache Solr configset upload文件上传漏洞(CVE-2020-13957)

漏洞描述 Apache Solr是一个开源的搜索服务,使用Java语言开发。Apache Solr Configset Api上传功能存在未授权漏洞。攻击者可以构造特定请求,上传相关恶意文件,从而直接获取到服务器权限。阿里云应急响应中心提醒Solr用户尽快采取…

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: